For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

Create Company

Beta
POST
https://api-b2b.bigcommerce.com/api/v3/io/companies
POST
/api/v3/io/companies
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/companies \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "companyName": "Acme Industrial Solutions",
> "companyPhone": "+1-555-123-4567",
> "companyEmail": "contact@acmeindustrial.com",
> "country": "US",
> "adminFirstName": "Jane",
> "adminLastName": "Doe",
> "adminEmail": "jane.doe@acmeindustrial.com",
> "extraFields": [
> {
> "fieldName": "Industry",
> "fieldValue": "Manufacturing"
> }
> ],
> "addressLine1": "1234 Industrial Way",
> "addressLine2": "Suite 100",
> "city": "Springfield",
> "state": "Illinois",
> "zipCode": "62704",
> "adminPhoneNumber": "+1-555-987-6543",
> "catalogId": 42,
> "acceptCreationEmail": true,
> "channelIds": [
> 101,
> 102
> ],
> "originChannelId": 101,
> "uuid": "a3f47b9e-8c2d-4f1a-9b7e-2d5f6a7c8e9f"
>}'
1{
2 "code": 200,
3 "data": {
4 "companyId": 123,
5 "customerId": 456,
6 "customerGroupId": 789
7 },
8 "meta": {
9 "message": "SUCCESS"
10 }
11}
Create a company. * When the `independent company behavior` is enabled, the system will not automatically create a dedicated customer group for each new Company account. Instead, you can assign a customer group to a Company account as needed using the `customerGroupId` field. If the `customerGroupId` field is not provided, the B2B company will be associated with your configured default customer group. If you have not configured a default customer group, the B2B company will not be associated with any customer group, and the company users within the company will have their corresponding customer record assigned to "No Group" in BigCommerce. * When the `independent company behavior` is turned off, a new customer group will be automatically created and associated with each new Company account. In this case, you will not use the `customerGroupId` field.
Was this page helpful?
Previous

List Companies

Next

Get Company Detail

Built with

Create a company.

  • When the independent company behavior is enabled, the system will not automatically create a dedicated customer group for each new Company account. Instead, you can assign a customer group to a Company account as needed using the customerGroupId field. If the customerGroupId field is not provided, the B2B company will be associated with your configured default customer group. If you have not configured a default customer group, the B2B company will not be associated with any customer group, and the company users within the company will have their corresponding customer record assigned to “No Group” in BigCommerce.

  • When the independent company behavior is turned off, a new customer group will be automatically created and associated with each new Company account. In this case, you will not use the customerGroupId field.

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Request

User Extra Field Values
companyNamestringRequired>=1 character
The company name, if you want to specify it.
companyPhonestringRequired
companyEmailstringRequiredformat: "email">=1 character
countrystringRequired>=1 character

Country full name or ISO2 country code. For Example:

A Country full name: Afghanistan

ISO2 Country code: AF

adminFirstNamestringRequired>=1 character
The company first admin user first name
adminLastNamestringRequired>=1 character
The company first admin user's last name
adminEmailstringRequiredformat: "email">=1 character
The company first admin user email
extraFieldslist of objectsOptional
userExtraFieldslist of objectsOptional
addressLine1stringOptional
addressLine2stringOptional
citystringOptional>=1 character
statestringOptional>=1 character
zipCodestringOptional
adminPhoneNumberstringOptional>=1 character
The company first admin user phone number
catalogIdintegerOptional
BigCommerce price list ID that company related
acceptCreationEmailbooleanOptionalDefaults to false

True: Sends an email notification about the company creation to the admin user; False: Does not send the notification.

channelIdslist of integersOptional
BigCommerce channel ID list
originChannelIdintegerOptional
BigCommerce channel ID, used for BigCommerce customer origin channel ID. This field takes effect only when you do not configure the store default B2B channel.
customerGroupIdintegerOptional
BigCommerce Customer Group ID. Used to associate a BigCommerce Customer Group to a B2B company when the independent company behavior is enabled.

Response

Created
codeinteger
dataobject
metaobject

Errors

400
Bad Request Error
422
Unprocessable Entity Error